function vhud::MapOverlayHUD::create()
{
	if ( $vMapOverlayHUD::Loaded )
		return;
		
	$vMapOverlayHUD::Loaded = true;

	vhud::create( "ScriptGL::vMapOverlayHUD", "0% 0%", "0% 0%", vhud::MapOverlayHUD::render );
	HUD::New("ScriptGL::vMapOverlayHUD", 0, 0, 10, 10);
}

function vhud::MapOverlayHUD::render()
{
	// dont draw anywhere else but playgui
	if($Scriptgl::CurrentGui != "playGui")
		return;
		
	// dont draw if set to hidden	
	if(!Control::getVisible("ScriptGL::vMapOverlayHUD"))
		return;
	
	// setup local variables to get minimap position and size
	%position[x] = getWord(Control::GetPosition(Minimap),0);
	%position[y] = getWord(Control::GetPosition(Minimap),1);
	
	// get size of our overlay and use the width for scaling to minimap size
	%dx = getWord(glGetTextureDimensions("dickpix.png"),0);
	%scale = $pref::miniMapWidth / %dx ;

	// setup GL variables for our png draw
	glLoadIdentity(); // do i need this? im never sure
	
	glEnable($GL_BLEND);
	glDisable($GL_SCISSOR_TEST);
	glEnable($GL_ALPHA_TEST);
	glBlendFunc($GL_SRC_ALPHA,$GL_ONE_MINUS_SRC_ALPHA);	
	glAlphaFunc($GL_GREATER,$GL_ZERO);
	glEnable($GL_TEXTURE_2D);
	glColor4ub(255,255,255,255);
	
	// draw 8 pixels down and right because the minimap is 16 pixels bigger than whatever you set the width to
	glDrawTexture("dickpix.png", $GLEX_SCALED, %position[x] + 8 , %position[y] + 8, %scale, %scale);
}

vhud::MapOverlayHUD::create();